using HTCoreServiceApp.Models;
using System.Collections.Generic;
using System.Linq;

namespace HTCoreServiceApp.Common
{
    public class EFLinqExtenHelper
    {
        public static List<MetaTag> GetGroupMetaTags(List<MetaTag> metaTags, short[] groupid_list)
        {
            var reList = new List<MetaTag>();
            if (metaTags.Count > 0)
            {
                foreach (var metaTag in metaTags)
                {
                    if (groupid_list.Contains(metaTag.GroupId))
                    {
                        reList.Add(metaTag);
                    }    
                }
            }
            return reList;
        }
    }
}
